%define        perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Parse-Yapp
Version:       1.21
Release:       1mamba
Summary:       Parse::Yapp - Perl extension for generating and using LALR parsers
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Parse/Parse-Yapp-%{version}.tar.gz
License:       Artistic, GPL
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules that let you generate and use yacc like thread safe (reentrant) parsers with perl object oriented interface.

The script yapp is a front-end to the Parse::Yapp module and let you easily create a Perl OO parser from an input grammar file.

%prep
%setup -q -n Parse-Yapp-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.05-5mamba
- perl 5.16 mass rebuild

* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.05-4mamba
- specfile and maintainer updated

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.05-3mamba
- automatic rebuild by autodist

* Wed Jul 26 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.05-2qilnx
- specfile fixed and updated

* Thu Oct 28 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.05-1qilnx
- package created by autospec
